#!/bin/bash
#ChangeIdleTimeout aus variables.cfg auslesen und in printer.cfg (timeout) eintragen       kgolger_2022_06_04
home="/home/pi"
variables=$home"/variables.cfg" #Klipperfile saved variables
printerconfig=$home"/klipper_config/printer.cfg" #Klipper Configfile printer.cfg
date=`date +%d-%m-%y-%H:%M:%S`
#
# pruefe Dateien...
if [ ! -f $variables ]; then
        echo ""
        echo "variables.cfg nicht vorhanden!"
        echo ""
        curl -X POST -H 'Content-Type: application/json' localhost/api/printer/command -d '{"commands":["M118 Idle timeout not changed!"]}'
        exit
fi
if [ ! -f $printerconfig ]; then
        echo ""
        echo "printer.cfg nicht vorhanden!"
        echo ""
        curl -X POST -H 'Content-Type: application/json' localhost/api/printer/command -d '{"commands":["M118 Idle timeout not changed!"]}'
        exit
fi

        #Wert aus variables.cfg auslesen (idletimeout =)
        idletimeout=`grep "idletimeout =" $variables | cut -d"=" -f 2`

	idletimeout=`echo "$idletimeout*60"|bc` # minutes to seconds

        #printer.cfg sichern
        cp $printerconfig "$home/klipper_config/.printer.cfg_$date"

        #Wert in printer.cfg eintragen
        sed -i 's/timeout: .*/timeout: '"$idletimeout"'/' "$printerconfig"
exit
